SST index from CFS hindcasts 1981-2006 and CFS real-time forecasts 2007-2009

15 ensemble members (15 initial conditions)
For example, June ICs:
June 9, 10, 11, 12, 13
June 19, 20, 21, 22, 23
June 29, 30
July 1, 2, 3

How to read data:
Please see an example: read_sstindex.f 


August-October SST averaged over 80W-20W, 10N-25N

ASCII Table:
dex1_sstASO_ic04   (From April initial conditions)
dex1_sstASO_ic05   (From May ICs)
dex1_sstASO_ic06   (From June ICs)
dex1_sstASO_ic07   (From July ICs)

GrADS format (big endian):
dex1_sstASO_ic04.gr   (From April ICs)
dex1_sstASO_ic05.gr   (From May ICs)
dex1_sstASO_ic06.gr   (From June ICs)
dex1_sstASO_ic07.gr   (From July ICs)


----------------------------------------------------------
August-October SST averaged over 0-360, 30S-30N

ASCII Table:
dex2_sstASO_ic04   (From April ICs)
dex2_sstASO_ic05   (From May ICs)
dex2_sstASO_ic06   (From June ICs)
dex2_sstASO_ic07   (From July ICs)

GrADS format (big endian):
dex2_sstASO_ic04.gr   (From April initial conditions)
dex2_sstASO_ic05.gr   (From May ICs)
dex2_sstASO_ic06.gr   (From June ICs)
dex2_sstASO_ic07.gr   (From July ICs)


--------------------------------------------
ASO 2010 SST
ICs: Jan - Mar
How to read data: read_sstindex_2010.f

(80W-20W,10N-25N)
dex1_sstASO2010_ic01
dex1_sstASO2010_ic02
dex1_sstASO2010_ic03

dex1_sstASO2010_ic01.gr
dex1_sstASO2010_ic02.gr
dex1_sstASO2010_ic03.gr

(0-360,30S-30N)
dex2_sstASO2010_ic01
dex2_sstASO2010_ic02
dex2_sstASO2010_ic03

dex2_sstASO2010_ic01.gr
dex2_sstASO2010_ic02.gr
dex2_sstASO2010_ic03.gr

      program read

      real sdex(21)

C  ICs: June 19-30, July 1-9  (total 21 ICs))
C  4 runs for each initial date
C  Total 21 x 4 (84) ensemble members
C  2010 ASO SST index

      open(11,file='dex2_sstASO2010_ic06_4x')

      open(21,file='dex2_sstASO2010_ic06_4x.gr',
     1 form='unformatted',access='direct',recl=21*4)

      do id=1,4
      read(11,444) iyear, (sdex(k),k=1,21)
444   format(I4,2x,21f7.2)

      print *, sdex(3),sdex(19)

      read(21,rec=id) (sdex(k),k=1,21)
      
      print *, sdex(3),sdex(19)

      end do
      
      stop
      end

      program read

      real sdex(15)

C  15 ensemble members
C  2010 ASO SST index

      open(11,file='dex2_sstASO2010_ic03')

      open(21,file='dex2_sstASO2010_ic03.gr',
     1 form='unformatted',access='direct',recl=15*4)

      read(11,444) iyear, (sdex(k),k=1,15)
444   format(I4,2x,15f7.2)

      print *, sdex(3),sdex(10)

      read(21,rec=1) (sdex(k),k=1,15)
      
      print *, sdex(3),sdex(10)

      stop
      end

      program read

      real sdex(15)

C  CFS ICs: May 8 - May 22, 2010  (15)
C  4 runs for each initial date
C  Total 15 x 4 (60) ensemble members
C  2010 ASO SST index
C  sdex(15): 15 ASO SST values from 15 ICs
C  4 groups of sdex(15)

      open(11,file='dex2_sstASO2010_ic05_4x')

      open(21,file='dex2_sstASO2010_ic05_4x.gr',
     1 form='unformatted',access='direct',recl=15*4)

      do id=1,4
      read(11,444) iyear, (sdex(k),k=1,15)
444   format(I4,2x,15f7.2)

      print *, sdex(3),sdex(10)

      read(21,rec=id) (sdex(k),k=1,15)
      
      print *, sdex(3),sdex(10)

      end do
      
      stop
      end

      program read

      PARAMETER ( nyear=29)
      real sdex(15,nyear)

C  15 ensemble members
C  nyear=29: 1981-2009

      open(11,file='dex2_sstASO_ic06')

      open(21,file='dex2_sstASO_ic06.gr',
     1 form='unformatted',access='direct',recl=nyear*4)

      do iy=1,nyear
      read(11,444) iyear, (sdex(k,iy),k=1,15)
444   format(I4,2x,15f7.2)
      end do

      print *, sdex(10,21),sdex(4,10)

      do id=1,15
      read(21,rec=id) (sdex(id,iy),iy=1,nyear)
      end do
      
      print *, sdex(10,21),sdex(4,10)

      stop
      end

      program read

      real sdex(15)

C  15 x 4 (60) ensemble members
C  2010 ASO SST index

      open(11,file='dex1_sstASO2010_ic04_4x')

      open(21,file='dex1_sstASO2010_ic04_4x.gr',
     1 form='unformatted',access='direct',recl=15*4)

      do id=1,4
      read(11,444) iyear, (sdex(k),k=1,15)
444   format(I4,2x,15f7.2)

      print *, sdex(3),sdex(10)

      read(21,rec=id) (sdex(k),k=1,15)

      print *, sdex(3),sdex(10)

      end do

      stop
      end
